# $Revision: 1.73 $, $Date: 2007-02-12 22:09:17 $
Summary:	Client for the Trivial File Transfer Protocol (TFTP)
Summary(de.UTF-8):	Client für das 'trivial file transfer protocol (tftp)'
Summary(fr.UTF-8):	Client pour le « trivial file transfer protocol » (tftp)
Summary(pl.UTF-8):	Klient TFTP (Trivial File Transfer Protocol)
Summary(tr.UTF-8):	İlkel dosya aktarım protokolu (TFTP) için sunucu ve istemci
Name:		tftp
Version:	0.17
Release:	28
License:	BSD
Group:		Applications/Networking
Source0:	ftp://ftp.linux.org.uk/pub/linux/Networking/netkit/netkit-%{name}-%{version}.tar.gz
# Source0-md5:	b7262c798e2ff50e29c2ff50dfd8d6a8
Source1:	%{name}d.inetd
Patch0:		%{name}-configure.patch
BuildRequires:	rpmbuild(macros) >= 1.268
Obsoletes:	inetutils-tftp
Obsoletes:	tftp-hpa
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Trivial File Transfer Protocol (TFTP) is normally used only for
booting diskless workstations. This package contains tftp client.

%description -l de.UTF-8
Das trivial file transfer protocol (tftp) wird in der Regel nur zum
Booten von disklosen Workstations benutzt. Es bietet nur geringe
Sicherheit und sollte nur im Bedarfsfall aktiviert werden.

%description -l fr.UTF-8
Le « trivial file transfer protocol » (tftp) est normalement utilisé
uniquement pour démarrer les stations de travail sans disque. Il offre
très peu de sécurité et ne devrait pas être activé sauf si c'est
nécessaire.

%description -l pl.UTF-8
Tftp (trivial file transfer protocol) jest używany głównie do
startowania stacji bezdyskowych z sieci. Pakiet ten zawiera aplikację
tftp klienta.

%description -l tr.UTF-8
İlkel dosya aktarım protokolu genelde disksiz iş istasyonlarının ağ
üzerinden açılmalarında kullanılır. Güvenlik denetimleri çok az
olduğundan zorunlu kalmadıkça çalıştırılmamalıdır.

%package -n tftpd
Summary:	Daemon for the trivial file transfer protocol (tftp)
Summary(de.UTF-8):	Dämon für das 'trivial file transfer protocol (tftp)'
Summary(fr.UTF-8):	Démon pour le « trivial file transfer protocol » (tftp)
Summary(pl.UTF-8):	Serwer tftp (trivial file transfer protocol)
Summary(tr.UTF-8):	İlkel dosya aktarım protokolu (TFTP) için sunucu ve istemci
Group:		Networking/Daemons
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/bin/id
Requires(pre):	/usr/sbin/useradd
Requires:	rc-inetd >= 0.8.1
Provides:	tftpdaemon
Provides:	user(tftp)
Obsoletes:	atftpd
Obsoletes:	inetutils-tftpd
Obsoletes:	tftp-server
Obsoletes:	tftpd-hpa
Obsoletes:	utftpd

%description -n tftpd
The Trivial File Transfer Protocol (TFTP) is normally used only for
booting diskless workstations. The tftp package provides the user
interface for TFTP, which allows users to transfer files to and from a
remote machine. It provides very little security, and should not be
enabled unless it is needed.

%description -n tftpd -l de.UTF-8
Das trivial file transfer protocol (tftp) wird in der Regel nur zum
Booten von disklosen Workstations benutzt. Es bietet nur geringe
Sicherheit und sollte nur im Bedarfsfall aktiviert werden.

%description -n tftpd -l fr.UTF-8
Le « trivial file transfer protocol » (tftp) est normalement utilisé
uniquement pour démarrer les stations de travail sans disque. Il offre
très peu de sécurité et ne devrait pas être activé sauf si c'est
nécessaire.

%description -n tftpd -l pl.UTF-8
TFTP (Trivial File Transfer Protocol) jest używany głównie do
startowania stacji bezdyskowych z sieci. Serwer tftp powinien być
instalowany tylko wtedy, kiedy zachodzi taka konieczność ponieważ
należy on do aplikacji o niskim poziomie bezpieczeństwa.

%prep
%setup -q -n netkit-%{name}-%{version}
%patch0 -p1

%build
CFLAGS="%{rpmcflags}"; export CFLAGS

./configure \
	--with-c-compiler=gcc
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_sbindir},/etc/sysconfig/rc-inetd} \
	$RPM_BUILD_ROOT{%{_mandir}/man{1,8},/var/lib/tftp}

%{__make} install \
	INSTALLROOT=$RPM_BUILD_ROOT \
	MANDIR=%{_mandir}

install %{SOURCE1} $RPM_BUILD_ROOT/etc/sysconfig/rc-inetd/tftpd

mv -f $RPM_BUILD_ROOT%{_sbindir}/in.tftpd $RPM_BUILD_ROOT%{_sbindir}/tftpd
mv -f $RPM_BUILD_ROOT%{_mandir}/man8/in.tftpd.8 $RPM_BUILD_ROOT%{_mandir}/man8/tftpd.8

%clean
rm -rf $RPM_BUILD_ROOT

%pre -n tftpd
%useradd -P tftpd -u 15 -r -d /var/lib/tftp -s /bin/false -c "TFTP User" -g ftp tftp

%post -n tftpd
%service -q rc-inetd reload

%postun -n tftpd
if [ "$1" = "0" ]; then
	%service -q rc-inetd reload
	%userremove tftp
fi

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*

%files -n tftpd
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/*
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/rc-inetd/tftpd
%attr(750,tftp,root) %dir /var/lib/tftp
%{_mandir}/man8/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: tftp.spec,v $
Revision 1.73  2007-02-12 22:09:17  glen
- tabs in preamble

Revision 1.72  2007/02/12 01:06:34  baggins
- converted to UTF-8

Revision 1.71  2006/09/08 18:03:32  glen
- rel 28 (rebuild with fixed %useradd/%groupadd macros)

Revision 1.70  2006/04/14 16:26:23  glen
- rel 27

Revision 1.69  2006/04/14 16:25:08  glen
- rel 26

Revision 1.68  2006/03/14 01:24:26  glen
- unified rc-inetd usage (via %service), adapterized

Revision 1.67  2005/12/13 15:35:56  glen
- adapterized (sorted %verify attrs)

Revision 1.66  2005/05/01 17:31:30  glen
- use %useradd/%groupadd macros

Revision 1.65  2004/09/25 12:12:46  blues
- release 25 - obsoletes from inetutils - STBR

Revision 1.64  2004/08/25 04:17:00  ankry
- rel. 24

Revision 1.63  2004/08/20 21:33:11  ankry
- use %userremove/%groupremove, some cosmetics

Revision 1.62  2004/07/09 23:56:09  ankry
- fixed Obsoletes, rel. 23

Revision 1.61  2003/11/26 23:48:09  speedy
- release 22

Revision 1.60  2003/08/26 23:19:17  gotar
- no // in paths, sort, white space cleaning

Revision 1.59  2003/05/28 13:02:14  malekith
- massive attack: source-md5

Revision 1.58  2003/05/25 06:27:19  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.57  2003/05/16 01:58:49  kloczek
- cleanups.

Revision 1.56  2002/11/26 09:31:08  blues
- release 21 - obsoletes tftpd-hpa

Revision 1.55  2002/11/22 10:14:18  blues
- config should be norelace

Revision 1.54  2002/11/22 08:12:06  kloczek
- change permissio on tftp resources to tftp.root/750.

Revision 1.53  2002/11/22 07:32:49  kloczek
- changed permission on tftp server resources to tftp.tftp/750.

Revision 1.52  2002/11/21 10:39:07  blues
- release 20 - tftpd dir is now owned by ftp group

Revision 1.51  2002/11/13 16:02:44  qboosh
- tftp client does NOT provide tftpdaemon; release 19

Revision 1.50  2002/11/13 12:38:00  kloczek
- release 18,
- tftp-hpa added to Obsoletes in client subpackage,
- tftpdaemon added to Provides in server subpackage.

Revision 1.49  2002/08/17 21:04:13  qboosh
- better message in pre, more Requires(), release 17

Revision 1.48  2002/08/02 23:36:07  mick3y
- fixed polish description

Revision 1.47  2002/02/23 04:49:04  kloczek
- adapterized.

Revision 1.46  2002/02/22 23:29:48  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.45  2002/01/18 02:15:11  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.44  2001/12/18 14:40:32  blues
- removed obsoletes utftpd-client (not needed)

Revision 1.43  2001/07/30 17:07:47  blues
- release 16
- added tftp user
- /var/lib/tftp owner is tftp now - nobody shouldn't own anything...

Revision 1.42  2001/07/28 21:37:30  blues
- typo: %s/sever"/server"/

Revision 1.41  2001/07/26 05:42:25  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.39  2001/07/25 06:02:23  kloczek
- bump release to 15.

Revision 1.38  2001/07/24 09:17:29  blues
- Release 7
- added obsoletes for utftpd

Revision 1.37  2001/07/23 23:26:27  blues
- cosmetics

Revision 1.36  2001/06/16 11:29:52  waszi
- typo

Revision 1.35  2001/05/03 01:14:03  qboosh
- adapterized and made spec %debug ready or added using %rpm*flags macros

Revision 1.34  2000/12/09 17:55:14  jajcus
- file owners fixed (semi-automatically)
  (no special user (like http/news) should own his home directory nor
  files it doesn't create)

Revision 1.33  2000/10/24 17:52:50  mis
- added tftpdaemon cap

Revision 1.32  2000/10/12 19:49:19  kloczek
- release 6: use new rpm automation.

Revision 1.31  2000/09/26 16:25:35  baggins
- finished updated to 0.17
- fixed init scripts

Revision 1.30  2000/08/24 21:30:11  pascalek
- update to 0.17

Revision 1.29  2000/07/11 14:25:45  baggins
- release 9
- that was NOT a missing newline, but a wrong statement in %files

Revision 1.28  2000/07/10 18:17:09  siefca
- fixed missing newline character in spec file

Revision 1.27  2000/06/21 19:32:41  kloczek
- release 8,
- spec adapterized.

Revision 1.26  2000/06/09 17:52:45  baggins
- config noreplace for rc-inetd stuff

Revision 1.25  2000/06/09 07:55:12  kloczek
- more %{__make} macros.

Revision 1.24  2000/06/09 07:24:00  kloczek
- added using %{__make} macro.

Revision 1.23  2000/04/25 16:16:48  baggins
- release++
- FHS 2.1, /var/state -> /var/lib

Revision 1.22  2000/04/01 15:15:07  mis
- typo

Revision 1.21  2000/04/01 11:15:42  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.20  2000/03/28 16:55:08  baggins
- translated kloczkish into english

Revision 1.19  2000/03/03 03:58:59  kloczek
- release 6,
- fix: added missing %defattr() in tftpd,
- spec adapterized.

Revision 1.18  2000/02/14 04:25:04  kloczek
- added de, fr, tr translation from BeroLinux spec.

Revision 1.17  2000/02/14 04:20:48  kloczek
- release 4.

Revision 1.16  2000/01/10 03:08:09  kloczek
- release 3,
- Group in client package changed to Applicatins/Networking
- added "Obsoletes: tftp-server" for tftpd subpackage (for allowing install
  on RH).

Revision 1.15  2000/01/02 15:29:11  kloczek
- release 2 (in rawhide current is 1),
- new Summary and %descripton,
- added Group(pl) and changed Group to Networking/Daemons.

Revision 1.14  2000/01/02 08:29:21  bszx
- upgrade to 0.16
- added using rc-inetd reload
- configure doesn't overwrite CFLAGS (tftp-0.15-configure.patch)

Revision 1.13  1999/11/19 21:25:21  waszi
- separated to 2 packages

Revision 1.12  1999/10/11 07:05:12  waszi
- small fixes

Revision 1.11  1999/10/06 11:02:49  waszi
- added rc-inetd support

Revision 1.10  1999/07/14 10:34:53  baggins
- fixed usage of macros
- gzipping docs

Revision 1.9  1999/07/12 23:06:15  kloczek
- added using CVS keywords in %changelog (for automating them).
